A Radar attempt represents a sign-in or signup attempt and includes context such as IP address and user agent. The Radar engine assesses attempts for risk and returns a decision that you can use to drive behavior in your application.
Assess a request for risk using the Radar engine and receive a verdict.
curl --request POST \ --url "https://api.workos.com/radar/attempts" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "ip_address": "49.78.240.97", "user_agent": "Mozilla/5.0", "email": "user@example.com", "auth_method": "Password", "action": "login" } BODY
POST/radar /attemptsReturns You may optionally inform Radar that an authentication attempt or challenge was successful using this endpoint. Some Radar controls depend on tracking recent successful attempts, such as impossible travel.
curl --request PUT \ --url "https://api.workos.com/radar/attempts/radar_att_01HZBC6N1EB1ZY7KG32X" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "challenge_status": "success", "attempt_status": "success" } BODY
PUT/radar /attempts /:idParameters Returns